MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
Nightingale Forums - Problems launching Nightingale

Nightingale Forums

Full Version: Problems launching Nightingale
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Nothing happened when I tried running it from Mageia's "Run Program..." menu item, so I dived into a terminal and tried running it from there...

Code:
[ben@BenPC ~]$ cd /opt/nightingale
[ben@BenPC nightingale]$ ./nightingale

(nightingale-bin:18285): GStreamer-CRITICAL **: gst_debug_add_log_function: assertion `func != NULL' failed

(nightingale-bin:18285): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
[ben@BenPC nightingale]$

OK, so there's a critical error (which is probably stopping the program from loading) and a warning about icons being too large.

Just in case it was trying to do something I couldn't do as an ordinary user, I tried running it as root (via sudo). This still produced the critical error plus three copies of the warning but did launch... sort of. First up was this dialog box:

Code:
Nightingale has detected that your Library is corrupt and cannot be read.

In order for Nightingale to function correctly, your library needs to be deleted. This action cannot be undone. You will lose subscriptions, playlists and track metadata edited in Nightingale.

Your media files are safe and will not be deleted, but you'll need to rescan them.

Clicking [Delete library and restart] will produce the same dialog again, so Continue anyway. The main screen loads (with another copy of the warning in the terminal), but the left hand pane is blank (screenshot uploaded to http://twitpic.com/7xcmqt ) and it refuses to either scan my music folder (Open Media...) or open a file to play (the dialog works OK, but it doesn't bring the selected file through to the main window or start playing it).

Running with the debug option doesn't produce any more ouput.

System: Mageia 1, Xfce, latest repository-provided versions of all gstreamer stuff.

Has anyone got any ideas what's going wrong or anything I can do to assist in diagnosing the issue?
I used to get that reoccurring corrupt library warning, I think it comes from the sql lib that nightingale was compiled against is incompatible with your system sql lib. To fix that I compiled my own version, try one of the ones below. If that doesn't fix it then try compiling it yourself.
i386 & amd64: http://forum.getnightingale.com/thread-3...ml#pid1530

I'm not sure about the first error, hopefully one of the devs will be able to help you.
We need to get a non preview release out, I guess, and try to get the various distros to start packaging it...

Also, if your distro doesn't provide a Nightingale package, you should contact those in charge and get them to start!
Thanks alot Ezekiel000! I was getting the corrupt library error too, but was able to get it running using the deb package.
Righteo, just compiled from source (twice - the first time I sudo'd which of course meant it would only run as root - d'oh!), and despite a stream of console errors...

Code:
(nightingale-bin:3933): GStreamer-CRITICAL **: gst_debug_add_log_function: assertion `func != NULL' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_param_spec_boolean: assertion `default_value == TRUE || default_value == FALSE' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion `G_IS_PARAM_SPEC (pspec)' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_param_spec_boolean: assertion `default_value == TRUE || default_value == FALSE' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion `G_IS_PARAM_SPEC (pspec)' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_param_spec_boolean: assertion `default_value == TRUE || default_value == FALSE' failed

(gst-plugin-scanner:3938): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion `G_IS_PARAM_SPEC (pspec)' failed

(nightingale-bin:3933): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

It appears to be working fine Smile

Now, is it likely to break if I move it into /opt/nightingale?
I'd rather it sat somewhere other than its current location of:
/home/ben/Download/Build/nightingale-media-player-nightingale-hacking-ed3358a/compiled/dist
It won't break if you move it to opt.
Just make sure that you set the permission for you to be able to run Nightingale from /opt.